package com.eactive.eai.agent.errorcode;

import com.eactive.eai.agent.command.Command;
import com.eactive.eai.agent.command.CommandException;
import com.eactive.eai.common.errorcode.ErrorCodeManager;
import com.eactive.eai.common.util.Logger;

public class RemoveErrorCodeommand extends Command {
	private static final long serialVersionUID = 1L;

	public RemoveErrorCodeommand(String name) {
		super(name);
	}

	public Object execute() throws CommandException {
		Logger logger = Logger.getLogger(Logger.LOGGER_DEFAULT);
		if (logger.isInfo())
			logger.info(this.name + " is executed");

		if (!(args instanceof String)) {
			String rspErrorCode = "RECEAIMCM001";
			String msg = makeException(rspErrorCode, null);
			if (logger.isError())
				logger.error(msg);
			throw new CommandException(msg);
		}

		String msgKey = (String) args;
		try {
			ErrorCodeManager manager = ErrorCodeManager.getInstance();
			manager.removeMessage(msgKey);
		} catch (Exception e) {
			String rspErrorCode = "RECEAIMCM002";
			String msg = makeException(rspErrorCode, e);
			if (logger.isError())
				logger.error(msg, e);
			throw new CommandException(msg);
		}
		return "success";

	}

}
